-- You can change these variables so that
-- they are appropriate for your system:

-- This is my configuration cross building for the BeagleBoardXm

BUILD_DIR = 'beagle_build'

DEFAULT_FONT = '/usr/share/fonts/truetype/DejaVuSans.ttf' -- If fonts are organised differently on your system you will need to change this.

ANGSTROM_LIBS = '/home/mark/code/beagle_builds/deploy'

LIB_PATHS = { ANGSTROM_LIBS..'/lib' }
INC_PATHS = {   ANGSTROM_LIBS..'/include/freetype2', ANGSTROM_LIBS..'/include',
                ANGSTROM_LIBS..'/include', ANGSTROM_LIBS..'/include' }
LIBS = { 'pthread', 'lua5.1', 'freetype', 'rt', 'gtest' }

EXTRA_LIBS = {} -- platform specific libs for OpenGL and window system
EXTRA_DEFINES = { "\'DEFAULT_FONT=\""..DEFAULT_FONT.."\"\'" } --platform specific defines
EXTRA_BUILD_OPTIONS = { '-Wl,--allow-shlib-undefined' } --platform specific build options (passed to compiler)

