/**
    \namespace GLK
    \brief This is OpenGL Toolkit namespace. Most classes in the GLK API/library reside here.
**/

#ifndef GLK_H
#define GLK_H

#include "glkcore.h"

#include "../src/glk/GlFramework.h"
#include "../src/glk/GlWindow.h"
#include "../src/glk/WindowTypes.h"
#include "../src/glk/GlConfig.h"
#include "../src/glk/BasicKeyboard.h"
#include "../src/glk/BasicMouse.h"
#include "../src/glk/Console.h"
#include "../src/glk/ConsoleBuffer.h"
#include "../src/glk/ConsoleWindow.h"
#include "../src/glk/GlFont.h"
#include "../src/glk/GlThreadWindow.h"
#include "../src/glk/KeyboardHandler.h"
#include "../src/glk/LuaConsole.h"
#include "../src/glk/MouseHandler.h"
#include "../src/glk/lua/LuaWindow.h"
#include "../src/glk/lua/LuaStandAlone.h"

#endif // GLK_H
