#ifndef GLK_CONDITION_VARIABLE_H
#define GLK_CONDITION_VARIABLE_H

#ifdef WIN32

#define WIN32_LEAN_AND_MEAN
#include <Windows.h>

#ifdef NTDDI_VISTA
// On Vista and  later we can use Windows has native condition variables.
#include "windows/win_cond_var.h"
#else
// Otherwise we have to use the pthread-win32 library (dll).
#include "posix/ConditionVariable.h"
#endif

#elif defined __linux

#include "posix/ConditionVariable.h"

#endif

#endif
