#ifndef GLK_MUTEX_H
#define GLK_MUTEX_H

#ifdef WIN32

#define WIN32_LEAN_AND_MEAN
#include <Windows.h>

#ifdef NTDDI_VISTA
#include "windows/win_mutex.h"
#else
#include "posix/Mutex.h"
#endif

#elif defined __linux

#include "posix/Mutex.h"

#endif

#endif // GLK_MUTEX_H
