-- You can change these variables so that
-- they are appropriate for your system:

BUILD_DIR = 'linux_build'

DEFAULT_FONT = '/usr/share/fonts/truetype/ttf-dejavu/DejaVuSansMono.ttf' -- If fonts are organised differently on your system you will need to change this.

LIB_PATHS = { '/usr/lib','/usr/lib/nvidia-current/' }
INC_PATHS = { '/usr/include/freetype2', '/usr/local/include/gtest',
              '/usr/include/lua5.1', '/usr/local/include' }
LIBS = { 'pthread', 'lua5.1', 'freetype', 'rt', 'Xrender', 'X11', 'GL', 'gtest' }

EXTRA_DEFINES = { "\'DEFAULT_FONT=\""..DEFAULT_FONT.."\"\'" } --platform specific defines
EXTRA_BUILD_OPTIONS = {} --platform specific build options (passed to compiler)
EXTRA_LINK_OPTIONS = { '-Wl,-rpath,/usr/local/lib/glk/' }

