#ifndef KEY_ENUMS_H
#define KEY_ENUMS_H

namespace GLK
{

  typedef enum {
    KeyVoid = 0,
    KeyBackSpace,
    KeyTab,
    KeyClear,
    KeyReturn,
    KeyPause,
    KeyScrollLock,
    KeySysRq,
    KeyEscape,
    KeyDelete,
    KeyHome,
    KeyLeft,
    KeyUp,
    KeyRight,
    KeyDown,
    KeyPageUp,
    KeyPageDown,
    KeyEnd,
    KeyPrint,
    KeyInsert,
    KeyUndo,
    KeyRedo,
    KeyHelp,
    KeyBreak,
    KeyNumLock,
    KeyKpSpace,
    KeyKpTab,
    KeyKpEnter,
    KeyKpHome,
    KeyKpLeft,
    KeyKpUp,
    KeyKpRight,
    KeyKpDown,
    KeyKpPageUp,
    KeyKpPageDown,
    KeyKpEnd,
    KeyKpInsert,
    KeyKpDelete,
    KeyKpEqual,
    KeyKpMult,
    KeyKpAdd,
    KeyKpSub,
    KeyKpDecimal,
    KeyKpDiv,
    KeyKp0,
    KeyKp1,
    KeyKp2,
    KeyKp3,
    KeyKp4,
    KeyKp5,
    KeyKp6,
    KeyKp7,
    KeyKp8,
    KeyKp9,
    KeyF1,
    KeyF2,
    KeyF3,
    KeyF4,
    KeyF5,
    KeyF6,
    KeyF7,
    KeyF8,
    KeyF9,
    KeyF10,
    KeyF11,
    KeyF12,
    KeyF13,
    KeyF14,
    KeyF15,
    KeyF16,
    KeyF17,
    KeyF18,
    KeyF19,
    KeyF20,
    KeyLeftShift,
    KeyRightShift,
    KeyLeftControl,
    KeyRightControl,
    KeyCapsLock,
    KeyShiftLock,
    KeyLeftAlt,
    KeyRightAlt,
    KeyLeftSuper,
    KeyRightSuper,
    KeySpace,
    KeyExclam,
    KeyDblQuote,
    KeyNumber,
    KeyDollar,
    KeyPercent,
    KeyAmpersand,
    KeyApostrophe,
    KeyLeftParen,
    KeyRightParen,
    KeyAsterisk,
    KeyPlus,
    KeyComma,
    KeyMinus,
    KeyPeriod,
    KeySlash,
    Key0,
    Key1,
    Key2,
    Key3,
    Key4,
    Key5,
    Key6,
    Key7,
    Key8,
    Key9,
    KeyColon,
    KeySemiColon,
    KeyLess,
    KeyEqual,
    KeyGreater,
    KeyQuestion,
    KeyAt,
    KeyA,
    KeyB,
    KeyC,
    KeyD,
    KeyE,
    KeyF,
    KeyG,
    KeyH,
    KeyI,
    KeyJ,
    KeyK,
    KeyL,
    KeyM,
    KeyN,
    KeyO,
    KeyP,
    KeyQ,
    KeyR,
    KeyS,
    KeyT,
    KeyU,
    KeyV,
    KeyW,
    KeyX,
    KeyY,
    KeyZ,
    KeyLeftBracket,
    KeyBackSlash,
    KeyRightBracket,
    KeyASciiCirc,
    KeyUnderScore,
    KeyGrave,
    Keya,
    Keyb,
    Keyc,
    Keyd,
    Keye,
    Keyf,
    Keyg,
    Keyh,
    Keyi,
    Keyj,
    Keyk,
    Keyl,
    Keym,
    Keyn,
    Keyo,
    Keyp,
    Keyq,
    Keyr,
    Keys,
    Keyt,
    Keyu,
    Keyv,
    Keyw,
    Keyx,
    Keyy,
    Keyz,
    KeyLeftBrace,
    KeyBar,
    KeyRightBrace,
    KeyTilde,
    KeySterling,
    NumKeys
} Key;

} // end namespace GLK

#endif
