#ifndef GLK_STDIO_CLASS_H
#define GLK_STDIO_CLASS_H

#include "../fwconfig.h"

#include "StdIn.h"
#include "StdOut.h"

namespace GLK
{

/**
    Abstract interface for both input
    and output in a stdio-like form.
    
    (See StdIn.h and StdOut.h for details).
**/
class FW_API StdIO : public StdOut, public StdIn
{
public:
    StdIO() {};
    virtual ~StdIO() {};

};

} // end namespace GLK

#endif // GLK_STDIO_CLASS_H

