#include <glkcore.h>

#include <gtest/gtest.h>

TEST( core, utility )
{
    GLK::String::Test();
}

TEST( core, io )
{
    GLK::File::Test();
}

TEST( core, thread )
{
    GLK::Thread::Test();
    GLK::Mutex::Test();
    GLK::Semaphore::Test();
    GLK::Barrier::Test();
    GLK::MessageQueue<int>::Test();
}

/**
    Runs unit test for all classes in framework (not fully implemented).
    
    @todo Should begin by opening (an optional) lua script which says which test to run?
    @todo Unit tests for all classes in framework.
**/
int main( int argc, char** argv )
{
    ::testing::InitGoogleTest(&argc, argv);
    int v = RUN_ALL_TESTS();
    return v;
}

